Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.exportto.app/org.gvsig.exportto.app.mainplugin/src/main/java/org/gvsig/export/app/extension/ExportLayerExtension.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.exportto.app/org.gvsig.exportto.app.mainplugin/src/main/java/org/gvsig/export/app/extension/ExportLayerExtension.java	(revision 44435)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.exportto.app/org.gvsig.exportto.app.mainplugin/src/main/java/org/gvsig/export/app/extension/ExportLayerExtension.java	(revision 44436)
@@ -27,6 +27,7 @@
 import javax.swing.JComponent;
 import javax.swing.JOptionPane;
 import javax.swing.SwingUtilities;
+import org.apache.commons.lang3.StringUtils;
 import org.cresques.cts.ICoordTrans;
 import org.cresques.cts.IProjection;
 
@@ -62,6 +63,10 @@
 import org.gvsig.fmap.dal.OpenDataStoreParameters;
 import org.gvsig.fmap.mapcontext.MapContextLocator;
 import org.gvsig.fmap.mapcontext.MapContextManager;
+import org.gvsig.tools.dynobject.DynObject;
+import org.gvsig.tools.observer.Notification;
+import org.gvsig.tools.observer.Observable;
+import org.gvsig.tools.observer.Observer;
 
 
 /**
@@ -83,7 +88,7 @@
         ProjectManager projectManager = ApplicationLocator.getProjectManager();
         ViewManager viewManager = (ViewManager) projectManager.getDocumentManager(ViewManager.TYPENAME);
         viewManager.addTOCContextAction("layer-exportto");
-
+        registerInCatalog();
     }
 
     @Override
@@ -262,4 +267,54 @@
         return view != null;
     }
 
+    private void registerInCatalog() {
+        final ApplicationManager application = ApplicationLocator.getApplicationManager();
+        application.addPropertiesObserver(new Observer() {
+            @Override
+            public void update(Observable observable, Object notification) {
+                if( !(notification instanceof Notification) ) {
+                    return;
+                }
+                String propertyName = (String) ((Notification)notification).getValue(0);
+                if( !StringUtils.equalsIgnoreCase(propertyName, "Catalog.Manager") ) {
+                    return;
+                }
+                DynObject catalogManager = (DynObject) application.getProperty("Catalog.Manager");
+                if (catalogManager == null) {
+                    return;
+                }
+                try {
+                    String[] catalogNodes = new String[]{
+                        "STORES_REPOSITORY_TABLE",
+                        "DATABASE_TABLE",
+                        "FOLDERS_FILE",
+                        "BOOKMARKS_BOOKMARK"
+                    };
+                    for (String catalogNode : catalogNodes) {
+                        Object action = catalogManager.invokeDynMethod(
+                                "getAction",
+                                new Object[]{
+                                    ExportStoreFromCatalogAction.NAME,
+                                    catalogNode
+                                }
+                        );
+                        if (action == null) {
+                            catalogManager.invokeDynMethod(
+                                    "addAction",
+                                    new Object[]{
+                                        ExportStoreFromCatalogAction.NAME,
+                                        catalogNode,
+                                        new ExportStoreFromCatalogAction()
+                                    }
+                            );
+                        }
+                    }
+                } catch (Exception ex) {
+                    logger.warn("Can't add action to catalog", ex);
+                }
+            }
+        });
+    }
+
+    
 }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.exportto.app/org.gvsig.exportto.app.mainplugin/src/main/java/org/gvsig/export/app/extension/ExportStoreFromCatalogAction.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.exportto.app/org.gvsig.exportto.app.mainplugin/src/main/java/org/gvsig/export/app/extension/ExportStoreFromCatalogAction.java	(revision 0)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.exportto.app/org.gvsig.exportto.app.mainplugin/src/main/java/org/gvsig/export/app/extension/ExportStoreFromCatalogAction.java	(revision 44436)
@@ -0,0 +1,61 @@
+package org.gvsig.export.app.extension;
+
+import java.awt.event.ActionEvent;
+import javax.swing.AbstractAction;
+import javax.swing.Action;
+import org.gvsig.fmap.dal.DALLocator;
+import org.gvsig.fmap.dal.DataManager;
+import org.gvsig.fmap.dal.DataStore;
+import org.gvsig.fmap.dal.OpenDataStoreParameters;
+import org.gvsig.fmap.dal.feature.FeatureStore;
+import org.gvsig.tools.ToolsLocator;
+import org.gvsig.tools.i18n.I18nManager;
+import org.gvsig.tools.swing.api.ToolsSwingLocator;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
+
+/**
+ *
+ * @author jjdelcerro
+ */
+public class ExportStoreFromCatalogAction extends AbstractAction {
+
+    private static final Logger LOGGER = LoggerFactory.getLogger(ExportStoreFromCatalogAction.class);
+
+    public static final String NAME = "Export";
+
+    public ExportStoreFromCatalogAction() {
+        I18nManager i18n = ToolsLocator.getI18nManager();
+        this.putValue(
+                Action.ACTION_COMMAND_KEY,
+                NAME
+        );
+        this.putValue(
+                Action.NAME,
+                i18n.getTranslation("_Export")
+        );
+        this.putValue(
+                Action.SMALL_ICON,
+                ToolsSwingLocator.getIconThemeManager().getCurrent().get("table-export")
+        );
+
+    }
+
+    @Override
+    public void actionPerformed(ActionEvent e) {
+        try {
+            OpenDataStoreParameters storeParams = (OpenDataStoreParameters) e.getSource();
+            DataManager dataManager = DALLocator.getDataManager();
+            DataStore store = dataManager.openStore(storeParams.getProviderName(), storeParams);
+            ExportTable exportTable = new ExportTable();
+            exportTable.showExport(
+                (FeatureStore) store,
+                 null
+            );
+        } catch (Exception ex) {
+            LOGGER.warn("Can't export store.", ex);
+        }
+    }
+
+    
+}