Index: FeatureTypePanelView.xml
===================================================================
--- FeatureTypePanelView.xml	(revision 44470)
+++ FeatureTypePanelView.xml	(revision 44471)
@@ -108,8 +108,8 @@
                       </at>
                       <at name="componentclass">com.jeta.forms.gui.form.FormComponent</at>
                      </super>
-                     <at name="id">embedded.1470185422</at>
-                     <at name="rowspecs">CENTER:2DLU:NONE,FILL:DEFAULT:GROW(1.0),CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE</at>
+                     <at name="id">embedded.814183280</at>
+                     <at name="rowspecs">CENTER:2DLU:NONE,FILL:DEFAULT:GROW(1.0),CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,FILL:DEFAULT:GROW(1.0),CENTER:2DLU:NONE</at>
                      <at name="colspecs">FILL:4DLU:NONE,FILL:DEFAULT:GROW(1.0),FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE</at>
                      <at name="components">
                       <object classname="java.util.LinkedList">
@@ -158,7 +158,7 @@
                                </object>
                               </at>
                               <at name="name">tblFields</at>
-                              <at name="width">771</at>
+                              <at name="width">352</at>
                               <at name="scollBars">
                                <object classname="com.jeta.forms.store.properties.ScrollBarsProperty">
                                 <at name="name">scollBars</at>
@@ -296,8 +296,8 @@
                             <at name="properties">
                              <object classname="com.jeta.forms.store.support.PropertyMap">
                               <at name="name">pnlField</at>
-                              <at name="width">773</at>
-                              <at name="height">12</at>
+                              <at name="width">354</at>
+                              <at name="height">197</at>
                              </object>
                             </at>
                            </object>
@@ -322,7 +322,7 @@
                            </at>
                            <at name="componentclass">com.jeta.forms.gui.form.FormComponent</at>
                           </super>
-                          <at name="id">embedded.527141517</at>
+                          <at name="id">embedded.67298992</at>
                           <at name="rowspecs">CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,FILL:DEFAULT:GROW(1.0)</at>
                           <at name="colspecs">FILL:4DLU:NONE,FILL:DEFAULT:GROW(1.0),FILL:4DLU:NONE</at>
                           <at name="components">
@@ -550,7 +550,7 @@
                            </at>
                            <at name="componentclass">com.jeta.forms.gui.form.FormComponent</at>
                           </super>
-                          <at name="id">embedded.1232295753</at>
+                          <at name="id">embedded.1130170627</at>
                           <at name="rowspecs">CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,FILL:2DLU:GROW(1.0)</at>
                           <at name="colspecs">FILL:4DLU:NONE,FILL:DEFAULT:GROW(1.0),FILL:4DLU:NONE</at>
                           <at name="components">
@@ -740,7 +740,7 @@
                                 </at>
                                </object>
                               </at>
-                              <at name="name"/>
+                              <at name="name"></at>
                               <at name="fill">
                                <object classname="com.jeta.forms.store.properties.effects.PaintProperty">
                                 <at name="name">fill</at>
@@ -950,7 +950,7 @@
                       </at>
                       <at name="componentclass">com.jeta.forms.gui.form.FormComponent</at>
                      </super>
-                     <at name="id">embedded.561138247</at>
+                     <at name="id">embedded.718039135</at>
                      <at name="rowspecs">CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:GROW(0.1),CENTER:2DLU:NONE,FILL:DEFAULT:GROW(0.8),CENTER:2DLU:NONE</at>
                      <at name="colspecs">FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:DEFAULT:NONE,FILL:DEFAULT:GROW(1.0),FILL:4DLU:NONE</at>
                      <at name="components">
@@ -1121,7 +1121,7 @@
                                </object>
                               </at>
                               <at name="name">txtLabel</at>
-                              <at name="width">794</at>
+                              <at name="width">375</at>
                               <at name="height">20</at>
                              </object>
                             </at>
@@ -1177,7 +1177,7 @@
                               <at name="scrollableTracksViewportHeight">true</at>
                               <at name="scrollableTracksViewportWidth">true</at>
                               <at name="name">txtDescription</at>
-                              <at name="width">792</at>
+                              <at name="width">373</at>
                               <at name="scollBars">
                                <object classname="com.jeta.forms.store.properties.ScrollBarsProperty">
                                 <at name="name">scollBars</at>
@@ -1205,7 +1205,7 @@
                                 </at>
                                </object>
                               </at>
-                              <at name="height">93</at>
+                              <at name="height">91</at>
                              </object>
                             </at>
                            </object>
@@ -1230,7 +1230,7 @@
                            </at>
                            <at name="componentclass">com.jeta.forms.gui.form.FormComponent</at>
                           </super>
-                          <at name="id">embedded.189530542</at>
+                          <at name="id">embedded.1338466775</at>
                           <at name="rowspecs">FILL:DEFAULT:GROW(1.0),CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:GROW(0.1)</at>
                           <at name="colspecs">FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:GROW(1.0),FILL:4DLU:NONE,FILL:DEFAULT:NONE</at>
                           <at name="components">
@@ -1403,7 +1403,7 @@
                                    <at name="editable">true</at>
                                    <at name="requestFocusEnabled">false</at>
                                    <at name="name">cboTagsName</at>
-                                   <at name="width">640</at>
+                                   <at name="width">221</at>
                                    <at name="items">
                                     <object classname="com.jeta.forms.store.properties.ItemsProperty">
                                      <at name="name">items</at>
@@ -1462,7 +1462,7 @@
                                     </object>
                                    </at>
                                    <at name="name">tblTags</at>
-                                   <at name="width">688</at>
+                                   <at name="width">269</at>
                                    <at name="scollBars">
                                     <object classname="com.jeta.forms.store.properties.ScrollBarsProperty">
                                      <at name="name">scollBars</at>
@@ -1515,7 +1515,7 @@
                                 </at>
                                 <at name="componentclass">com.jeta.forms.gui.form.FormComponent</at>
                                </super>
-                               <at name="id">embedded.1092624830</at>
+                               <at name="id">embedded.309531731</at>
                                <at name="rowspecs">CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE</at>
                                <at name="colspecs">FILL:DEFAULT:NONE</at>
                                <at name="components">
@@ -1827,7 +1827,7 @@
                                     </object>
                                    </at>
                                    <at name="name">lblTagsDescription</at>
-                                   <at name="width">640</at>
+                                   <at name="width">221</at>
                                    <at name="fill">
                                     <object classname="com.jeta.forms.store.properties.effects.PaintProperty">
                                      <at name="name">fill</at>
@@ -1889,7 +1889,7 @@
                                    <at name="editable">true</at>
                                    <at name="requestFocusEnabled">false</at>
                                    <at name="name">cboTagsValue</at>
-                                   <at name="width">640</at>
+                                   <at name="width">221</at>
                                    <at name="items">
                                     <object classname="com.jeta.forms.store.properties.ItemsProperty">
                                      <at name="name">items</at>
@@ -2053,7 +2053,7 @@
                                </object>
                               </at>
                               <at name="verticalAlignment">1</at>
-                              <at name="height">299</at>
+                              <at name="height">281</at>
                              </object>
                             </at>
                            </object>
@@ -2167,9 +2167,9 @@
               </at>
              </object>
             </at>
-            <at name="width">929</at>
+            <at name="width">510</at>
             <at name="tabCount">2</at>
-            <at name="height">510</at>
+            <at name="height">490</at>
            </object>
           </at>
          </object>