Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.centerviewpoint.app/org.gvsig.centerviewpoint.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.centerviewpoint.app/org.gvsig.centerviewpoint.app.mainplugin/buildNumber.properties	(revision 44780)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.centerviewpoint.app/org.gvsig.centerviewpoint.app.mainplugin/buildNumber.properties	(revision 44781)
@@ -1,2 +1,2 @@
-#Tue Feb 18 23:20:11 CET 2020
-buildNumber=2814
+#Thu Feb 27 17:03:30 CET 2020
+buildNumber=2815
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.newlayer.app/org.gvsig.newlayer.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.newlayer.app/org.gvsig.newlayer.app.mainplugin/buildNumber.properties	(revision 44780)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.newlayer.app/org.gvsig.newlayer.app.mainplugin/buildNumber.properties	(revision 44781)
@@ -1,2 +1,2 @@
-#Tue Feb 18 23:20:14 CET 2020
-buildNumber=2814
+#Thu Feb 27 17:03:32 CET 2020
+buildNumber=2815
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.h2spatial.app/org.gvsig.h2spatial.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.h2spatial.app/org.gvsig.h2spatial.app.mainplugin/buildNumber.properties	(revision 44780)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.h2spatial.app/org.gvsig.h2spatial.app.mainplugin/buildNumber.properties	(revision 44781)
@@ -1,2 +1,2 @@
-#Tue Feb 18 23:20:14 CET 2020
-buildNumber=2813
+#Thu Feb 27 17:03:33 CET 2020
+buildNumber=2814
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.shp.app/org.gvsig.shp.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.shp.app/org.gvsig.shp.app.mainplugin/buildNumber.properties	(revision 44780)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.shp.app/org.gvsig.shp.app.mainplugin/buildNumber.properties	(revision 44781)
@@ -1,2 +1,2 @@
-#Tue Feb 18 23:20:14 CET 2020
-buildNumber=2815
+#Thu Feb 27 17:03:33 CET 2020
+buildNumber=2816
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.timesupport.app/org.gvsig.timesupport.app.animation/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.timesupport.app/org.gvsig.timesupport.app.animation/buildNumber.properties	(revision 44780)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.timesupport.app/org.gvsig.timesupport.app.animation/buildNumber.properties	(revision 44781)
@@ -1,2 +1,2 @@
-#Tue Feb 18 23:20:13 CET 2020
-buildNumber=2814
+#Thu Feb 27 17:03:31 CET 2020
+buildNumber=2815
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.timesupport.app/org.gvsig.timesupport.app.viewfilter/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.timesupport.app/org.gvsig.timesupport.app.viewfilter/buildNumber.properties	(revision 44780)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.timesupport.app/org.gvsig.timesupport.app.viewfilter/buildNumber.properties	(revision 44781)
@@ -1,2 +1,2 @@
-#Tue Feb 18 23:20:13 CET 2020
-buildNumber=2814
+#Thu Feb 27 17:03:31 CET 2020
+buildNumber=2815
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.csv.app/org.gvsig.csv.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.csv.app/org.gvsig.csv.app.mainplugin/buildNumber.properties	(revision 44780)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.csv.app/org.gvsig.csv.app.mainplugin/buildNumber.properties	(revision 44781)
@@ -1,2 +1,2 @@
-#Tue Feb 18 23:20:14 CET 2020
-buildNumber=2814
+#Thu Feb 27 17:03:33 CET 2020
+buildNumber=2815
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geometry.app/org.gvsig.geometry.app.jts/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geometry.app/org.gvsig.geometry.app.jts/buildNumber.properties	(revision 44780)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geometry.app/org.gvsig.geometry.app.jts/buildNumber.properties	(revision 44781)
@@ -1,2 +1,2 @@
-#Tue Feb 18 23:20:14 CET 2020
-buildNumber=2814
+#Thu Feb 27 17:03:33 CET 2020
+buildNumber=2815
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.daltransform.app/org.gvsig.daltransform.app.join/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.daltransform.app/org.gvsig.daltransform.app.join/buildNumber.properties	(revision 44780)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.daltransform.app/org.gvsig.daltransform.app.join/buildNumber.properties	(revision 44781)
@@ -1,2 +1,2 @@
-#Tue Feb 18 23:20:13 CET 2020
-buildNumber=2814
+#Thu Feb 27 17:03:32 CET 2020
+buildNumber=2815
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.daltransform.app/org.gvsig.daltransform.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.daltransform.app/org.gvsig.daltransform.app.mainplugin/buildNumber.properties	(revision 44780)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.daltransform.app/org.gvsig.daltransform.app.mainplugin/buildNumber.properties	(revision 44781)
@@ -1,2 +1,2 @@
-#Tue Feb 18 23:20:13 CET 2020
-buildNumber=2814
+#Thu Feb 27 17:03:32 CET 2020
+buildNumber=2815
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.daltransform.app/org.gvsig.daltransform.app.eventtheme/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.daltransform.app/org.gvsig.daltransform.app.eventtheme/buildNumber.properties	(revision 44780)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.daltransform.app/org.gvsig.daltransform.app.eventtheme/buildNumber.properties	(revision 44781)
@@ -1,2 +1,2 @@
-#Tue Feb 18 23:20:13 CET 2020
-buildNumber=2814
+#Thu Feb 27 17:03:32 CET 2020
+buildNumber=2815
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.datalocator.app/org.gvsig.datalocator.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.datalocator.app/org.gvsig.datalocator.app.mainplugin/buildNumber.properties	(revision 44780)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.datalocator.app/org.gvsig.datalocator.app.mainplugin/buildNumber.properties	(revision 44781)
@@ -1,2 +1,2 @@
-#Tue Feb 18 23:20:12 CET 2020
-buildNumber=2814
+#Thu Feb 27 17:03:31 CET 2020
+buildNumber=2815
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.installer.app/org.gvsig.installer.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.installer.app/org.gvsig.installer.app.mainplugin/buildNumber.properties	(revision 44780)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.installer.app/org.gvsig.installer.app.mainplugin/buildNumber.properties	(revision 44781)
@@ -1,2 +1,2 @@
-#Tue Feb 18 23:20:13 CET 2020
-buildNumber=2814
+#Thu Feb 27 17:03:32 CET 2020
+buildNumber=2815
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/buildNumber.properties	(revision 44780)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/buildNumber.properties	(revision 44781)
@@ -1,2 +1,2 @@
-#Tue Feb 18 23:20:11 CET 2020
-buildNumber=3008
+#Thu Feb 27 17:03:30 CET 2020
+buildNumber=3009
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geometrymeasurement.app/org.gvsig.geometrymeasurement.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geometrymeasurement.app/org.gvsig.geometrymeasurement.app.mainplugin/buildNumber.properties	(revision 44780)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geometrymeasurement.app/org.gvsig.geometrymeasurement.app.mainplugin/buildNumber.properties	(revision 44781)
@@ -1,2 +1,2 @@
-#Tue Feb 18 23:20:12 CET 2020
-buildNumber=2814
+#Thu Feb 27 17:03:30 CET 2020
+buildNumber=2815
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.selectiontools.app/org.gvsig.selectiontools.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.selectiontools.app/org.gvsig.selectiontools.app.mainplugin/buildNumber.properties	(revision 44780)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.selectiontools.app/org.gvsig.selectiontools.app.mainplugin/buildNumber.properties	(revision 44781)
@@ -1,2 +1,2 @@
-#Tue Feb 18 23:20:12 CET 2020
-buildNumber=2814
+#Thu Feb 27 17:03:31 CET 2020
+buildNumber=2815
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.coreplugin.app/org.gvsig.coreplugin.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.coreplugin.app/org.gvsig.coreplugin.app.mainplugin/buildNumber.properties	(revision 44780)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.coreplugin.app/org.gvsig.coreplugin.app.mainplugin/buildNumber.properties	(revision 44781)
@@ -1,2 +1,2 @@
-#Tue Feb 18 23:20:11 CET 2020
-buildNumber=2814
+#Thu Feb 27 17:03:30 CET 2020
+buildNumber=2815
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.annotation.app/org.gvsig.annotation.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.annotation.app/org.gvsig.annotation.app.mainplugin/buildNumber.properties	(revision 44780)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.annotation.app/org.gvsig.annotation.app.mainplugin/buildNumber.properties	(revision 44781)
@@ -1,2 +1,2 @@
-#Tue Feb 18 23:20:13 CET 2020
-buildNumber=2814
+#Thu Feb 27 17:03:32 CET 2020
+buildNumber=2815
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.projection.app/org.gvsig.projection.app.proj4j/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.projection.app/org.gvsig.projection.app.proj4j/buildNumber.properties	(revision 44780)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.projection.app/org.gvsig.projection.app.proj4j/buildNumber.properties	(revision 44781)
@@ -1,2 +1,2 @@
-#Tue Feb 18 23:20:14 CET 2020
-buildNumber=2814
+#Thu Feb 27 17:03:32 CET 2020
+buildNumber=2815
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.projection.app/org.gvsig.projection.app.cresques/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.projection.app/org.gvsig.projection.app.cresques/buildNumber.properties	(revision 44780)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.projection.app/org.gvsig.projection.app.cresques/buildNumber.properties	(revision 44781)
@@ -1,2 +1,2 @@
-#Tue Feb 18 23:20:14 CET 2020
-buildNumber=2814
+#Thu Feb 27 17:03:32 CET 2020
+buildNumber=2815
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.labeling.app/org.gvsig.labeling.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.labeling.app/org.gvsig.labeling.app.mainplugin/buildNumber.properties	(revision 44780)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.labeling.app/org.gvsig.labeling.app.mainplugin/buildNumber.properties	(revision 44781)
@@ -1,2 +1,2 @@
-#Tue Feb 18 23:20:13 CET 2020
-buildNumber=2814
+#Thu Feb 27 17:03:31 CET 2020
+buildNumber=2815
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.i18n.app/org.gvsig.i18n.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.i18n.app/org.gvsig.i18n.app.mainplugin/buildNumber.properties	(revision 44780)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.i18n.app/org.gvsig.i18n.app.mainplugin/buildNumber.properties	(revision 44781)
@@ -1,2 +1,2 @@
-#Tue Feb 18 23:20:12 CET 2020
-buildNumber=2814
+#Thu Feb 27 17:03:31 CET 2020
+buildNumber=2815
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.snapping.app/org.gvsig.snapping.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.snapping.app/org.gvsig.snapping.app.mainplugin/buildNumber.properties	(revision 44780)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.snapping.app/org.gvsig.snapping.app.mainplugin/buildNumber.properties	(revision 44781)
@@ -1,2 +1,2 @@
-#Tue Feb 18 23:20:13 CET 2020
-buildNumber=2814
+#Thu Feb 27 17:03:32 CET 2020
+buildNumber=2815
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geodb.app/org.gvsig.geodb.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geodb.app/org.gvsig.geodb.app.mainplugin/buildNumber.properties	(revision 44780)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geodb.app/org.gvsig.geodb.app.mainplugin/buildNumber.properties	(revision 44781)
@@ -1,2 +1,2 @@
-#Tue Feb 18 23:20:12 CET 2020
-buildNumber=2814
+#Thu Feb 27 17:03:31 CET 2020
+buildNumber=2815
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/buildNumber.properties	(revision 44780)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/buildNumber.properties	(revision 44781)
@@ -1,2 +1,2 @@
-#Tue Feb 18 23:20:12 CET 2020
-buildNumber=2814
+#Thu Feb 27 17:03:30 CET 2020
+buildNumber=2815
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.exportto.app/org.gvsig.exportto.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.exportto.app/org.gvsig.exportto.app.mainplugin/buildNumber.properties	(revision 44780)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.exportto.app/org.gvsig.exportto.app.mainplugin/buildNumber.properties	(revision 44781)
@@ -1,2 +1,2 @@
-#Tue Feb 18 23:20:13 CET 2020
-buildNumber=2814
+#Thu Feb 27 17:03:32 CET 2020
+buildNumber=2815
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.symbology.app/org.gvsig.symbology.app.importsymbols/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.symbology.app/org.gvsig.symbology.app.importsymbols/buildNumber.properties	(revision 44780)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.symbology.app/org.gvsig.symbology.app.importsymbols/buildNumber.properties	(revision 44781)
@@ -1,2 +1,2 @@
-#Tue Feb 18 23:20:12 CET 2020
-buildNumber=2814
+#Thu Feb 27 17:03:31 CET 2020
+buildNumber=2815
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.symbology.app/org.gvsig.symbology.app.symbolinstaller/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.symbology.app/org.gvsig.symbology.app.symbolinstaller/buildNumber.properties	(revision 44780)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.symbology.app/org.gvsig.symbology.app.symbolinstaller/buildNumber.properties	(revision 44781)
@@ -1,2 +1,2 @@
-#Tue Feb 18 23:20:12 CET 2020
-buildNumber=2814
+#Thu Feb 27 17:03:31 CET 2020
+buildNumber=2815