Index: trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.api/src/main/java/org/gvsig/fmap/dal/DataServerExplorer_v2.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.api/src/main/java/org/gvsig/fmap/dal/DataServerExplorer_v2.java	(revision 47736)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.api/src/main/java/org/gvsig/fmap/dal/DataServerExplorer_v2.java	(revision 47737)
@@ -1,8 +1,35 @@
-
 package org.gvsig.fmap.dal;
 
+import org.gvsig.fmap.dal.exception.CloseException;
+import org.gvsig.fmap.dal.exception.DataException;
+import org.gvsig.fmap.dal.exception.OpenException;
+import org.gvsig.tools.util.PropertiesSupport;
 
-public interface DataServerExplorer_v2 extends DataServerExplorer {
-    
-     public SQLBuilder createSQLBuilder();
+public interface DataServerExplorer_v2 extends DataServerExplorer, PropertiesSupport {
+
+    public SQLBuilder createSQLBuilder();
+
+    /**
+     * Open a store defined by <code>dsp</code>
+     *
+     * @param dsp
+     * @return
+     * @throws DataException
+     */
+    public DataStore open(DataStoreParameters dsp)
+            throws DataException;
+
+    /**
+     * Open connection to the server
+     *
+     * @throws OpenException
+     */
+    public void open() throws OpenException;
+
+    /**
+     * Close connection to the server
+     *
+     * @throws OpenException
+     */
+    public void close() throws CloseException;
 }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.spi/src/main/java/org/gvsig/fmap/dal/spi/AbstractDataServerExplorer.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.spi/src/main/java/org/gvsig/fmap/dal/spi/AbstractDataServerExplorer.java	(revision 47736)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.spi/src/main/java/org/gvsig/fmap/dal/spi/AbstractDataServerExplorer.java	(revision 47737)
@@ -1,17 +1,23 @@
 package org.gvsig.fmap.dal.spi;
 
 import java.io.File;
+import java.util.Map;
 import org.gvsig.fmap.dal.DataServerExplorerParameters;
 import org.gvsig.fmap.dal.DataServerExplorer_v2;
 import org.gvsig.fmap.dal.DataStore;
 import org.gvsig.fmap.dal.DataStoreParameters;
 import org.gvsig.fmap.dal.exception.DataException;
 import org.gvsig.fmap.dal.SQLBuilder;
+import org.gvsig.fmap.dal.exception.CloseException;
+import org.gvsig.fmap.dal.exception.OpenException;
 import org.gvsig.fmap.dal.feature.spi.SQLBuilderBase;
+import org.gvsig.tools.dispose.DisposeUtils;
 import org.gvsig.tools.dispose.impl.AbstractDisposable;
 import org.gvsig.tools.exception.BaseException;
 import org.gvsig.tools.resourcesstorage.EmptyResourcesStorage;
 import org.gvsig.tools.resourcesstorage.ResourcesStorage;
+import org.gvsig.tools.util.PropertiesSupport;
+import org.gvsig.tools.util.PropertiesSupportHelper;
 import org.slf4j.Logger;
 import org.slf4j.LoggerFactory;
 
@@ -21,10 +27,12 @@
     
     private DataServerExplorerParameters parameters;
     private final DataServerExplorerProviderServices providerServices;
+    private PropertiesSupport propertiesSupport;
 
     protected AbstractDataServerExplorer(DataServerExplorerParameters parameters, DataServerExplorerProviderServices providerServices) {
         this.parameters = parameters;
         this.providerServices = providerServices;
+        this.propertiesSupport = new PropertiesSupportHelper();
     }
 
     public DataServerExplorerProviderServices getServerExplorerProviderServices() {
@@ -80,4 +88,29 @@
         return new SQLBuilderBase();
     }
 
+    @Override
+    public void open() throws OpenException {
+    }
+
+    @Override
+    public void close() throws CloseException {
+        DisposeUtils.dispose(this);
+    }
+
+    @Override
+    public DataStore open(DataStoreParameters dsp) throws DataException {
+        return null;
+    }
+
+    public Object getProperty(String name) {
+        return this.propertiesSupport.getProperty(name);
+    }
+    
+    public void setProperty(String name, Object value) {
+        this.propertiesSupport.setProperty(name, value);
+    }
+    
+    public Map<String,Object> getProperties() {
+        return this.propertiesSupport.getProperties();
+    }
 }